List all CreditReversals

Returns a list of CreditReversals.

Parameters

  • financial_accountstring

    Returns objects associated with this FinancialAccount.

  • received_creditstring

    Only return CreditReversals for the ReceivedCredit ID.

  • statusenum

    Only return CreditReversals for a given status.

    Possible enum values
    canceled

    The CreditReversal has been canceled before it has been sent to the network and no funds have left the account. (Currently not supported).

    posted

    The CreditReversal has been sent to the network and funds have left the account (with the Transaction posting)

    processing

    The CreditReversal starting state. Funds are “held” by a pending Transaction (but they are still part of the current balance).

More parameters

  • ending_beforestring

  • limitinteger

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of up to limit CreditReversals, starting after CreditReversal starting_after. Each entry in the array is a separate CreditReversal object. If no more CreditReversal are available, the resulting array will be empty.

GET /v1/treasury/credit_reversals
curl -G https://api.stripe.com/v1/treasury/credit_reversals \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d financial_account=fa_1MtkGJLkdIwHu7ix6FAcfxof \
-d limit=3
Response
{
"object": "list",
"url": "/v1/treasury/credit_reversals",
"has_more": false,
"data": [
{
"id": "credrev_1Mtklw2eZvKYlo2CJG2MWJM7",
"object": "treasury.credit_reversal",
"amount": 1000,
"created": 1680756608,
"currency": "usd",
"financial_account": "fa_1Mtklw2eZvKYlo2CNHscZzs2",
"hosted_regulatory_receipt_url": "https://payments.stripe.com/regulatory-receipt/CBQaFwoVYWNjdF8xMDMyRDgyZVp2S1lsbzJDKICfuaEGMgYv0T_PcXU6NpP_n6wAfI9LKta3LkDRNQT8oLGdQf7JcXsskGjrq1LICpYVy5a3oOBI5gaVvTy8MtwpT1PTpQ",
"livemode": false,
"metadata": {},
"network": "ach",
"received_credit": "rc_1Mtklw2eZvKYlo2CxuluQFPR",
"status": "processing",
"status_transitions": {
"posted_at": null
},
"transaction": "trxn_1Mtklw2eZvKYlo2CKkbNA2TS"
}
]
}